Bug 1411169 - python3-click provides python-click
Summary: python3-click provides python-click
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-click
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-08 23:28 UTC by Randy Barlow
Modified: 2017-01-11 07:25 UTC (History)
5 users (show)

Fixed In Version: python-click-6.7-2.fc26 python-click-6.7-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-11 07:25:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Randy Barlow 2017-01-08 23:28:18 UTC
Description of problem:
python3-click and python2-click both provide python-click. The Python packaging guidelines state that the python2-click package should provide python-click, but do not say that about the python3-click package.


Version-Release number of selected component (if applicable):
python3-click-6.7-1.fc26


How reproducible:
Every time.


Steps to Reproduce:
1. $ sudo dnf repoquery --provides python3-click
2.
3.

Actual results:
$ sudo dnf repoquery --provides python3-click
Last metadata expiration check: 2:05:01 ago on Sun Jan 08 16:16:44 2017 EST.
python-click = 6.7-1.fc26
python3-click = 6.7-1.fc26
python3.6dist(click) = 6.7
python3dist(click) = 6.7



Expected results:
$ sudo dnf repoquery --provides python3-click
Last metadata expiration check: 2:05:01 ago on Sun Jan 08 16:16:44 2017 EST.
python3-click = 6.7-1.fc26
python3.6dist(click) = 6.7
python3dist(click) = 6.7


Additional info:
[0] https://fedoraproject.org/wiki/Packaging:Python#The_.25python_provide_macro

Comment 1 Randy Barlow 2017-01-08 23:30:20 UTC
This caused an issue for the bodhi client:

https://bugzilla.redhat.com/show_bug.cgi?id=1411141

Comment 2 Miro Hrončok 2017-01-09 01:28:10 UTC
There was a copy paste error in the recent spec update.

Fixed in http://pkgs.fedoraproject.org/cgit/rpms/python-click.git/commit/?id=9aa2a68ae0a9cc44158bdb00d13589459bee9965

Comment 3 Fedora Update System 2017-01-09 01:36:16 UTC
python-click-6.7-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f84e38f4fe

Comment 4 Fedora Update System 2017-01-10 03:27:10 UTC
python-click-6.7-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f84e38f4fe

Comment 5 Fedora Update System 2017-01-11 07:25:20 UTC
python-click-6.7-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.